petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscPartitionerShellSetPartition

Set an artifical partition for a mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerShellSetPartition(PetscPartitioner part, PetscInt size, const PetscInt sizes[], const PetscInt points[])

Collective on part

### Input Parameters

| part | - The PetscPartitioner
| size | - The number of partitions
| sizes | - array of size size (or NULL) providing the number of points in each partition
| points | - array of size sum(sizes) (may be NULL iff sizes is NULL), a permutation of the points that groups those assigned to each partition in order (i.e., partition 0 first, partition 1 next, etc.)

### Notes

It is safe to free the sizes and points arrays after use in this routine.

### See Also

DMPlexDistribute(), PetscPartitionerCreate()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c

### Examples

src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages